curl --request POST \
--url https://sandbox.tight.com/v6/accounting/glAccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"accountNo": "60210",
"parentGlAccountId": "gla_38560327",
"type": "EXPENSE",
"subType": {
"assetType": "CASH",
"liabilityType": "AP",
"equityType": "CAPITAL",
"incomeType": "SERVICE_INCOME",
"expenseType": "MERCHANT_FEE"
},
"level": 1,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "gla_38560327",
"status": "ACTIVE",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"parentGlAccount": {
"id": "gla_38560327",
"accountNo": "60000",
"name": "Payroll Expenses"
},
"type": "EXPENSE",
"subType": {
"assetType": "CASH",
"liabilityType": "AP",
"equityType": "CAPITAL",
"incomeType": "SERVICE_INCOME",
"expenseType": "MERCHANT_FEE"
},
"cashFlowType": "OPERATING",
"level": 1,
"hasChildren": false,
"templateGlAccount": {
"id": "tgla_1"
},
"balance": 123456,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Save new (or update existing) GL accounts
curl --request POST \
--url https://sandbox.tight.com/v6/accounting/glAccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"accountNo": "60210",
"parentGlAccountId": "gla_38560327",
"type": "EXPENSE",
"subType": {
"assetType": "CASH",
"liabilityType": "AP",
"equityType": "CAPITAL",
"incomeType": "SERVICE_INCOME",
"expenseType": "MERCHANT_FEE"
},
"level": 1,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "gla_38560327",
"status": "ACTIVE",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"parentGlAccount": {
"id": "gla_38560327",
"accountNo": "60000",
"name": "Payroll Expenses"
},
"type": "EXPENSE",
"subType": {
"assetType": "CASH",
"liabilityType": "AP",
"equityType": "CAPITAL",
"incomeType": "SERVICE_INCOME",
"expenseType": "MERCHANT_FEE"
},
"cashFlowType": "OPERATING",
"level": 1,
"hasChildren": false,
"templateGlAccount": {
"id": "tgla_1"
},
"balance": 123456,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Show child attributes